/**
 *****************************************************************************
   @file     GptLib.h
   @brief Set of Timer peripheral functions.
   - Example:

   @internal   001 @endinternal
   @version  V1.0
   @author   ADI
   @date     April 2015 
   @par Revision History:
   - V0.2, May 2013: initial version. 
   - V1.0, April 2015: Changed library format

All files provided by ADI, including this file, are
provided  as is without warranty of any kind, either expressed or implied.
The user assumes any and all risk from the use of this code.
It is the responsibility of the person integrating this code into an application
to ensure that the resulting application performs as required and is safe.

**/
#ifdef __cplusplus
extern "C" {
#endif 

#include "DeviceHeader.h"

extern int GptCfg(ADI_TIMER_TypeDef *pTMR, int iClkSrc, int iScale, int iMode);
extern int GptLd(ADI_TIMER_TypeDef *pTMR, int iTLd);
extern int GptVal(ADI_TIMER_TypeDef *pTMR);
extern int GptCapRd(ADI_TIMER_TypeDef *pTMR);
extern int GptCapSrc(ADI_TIMER_TypeDef *pTMR, int iTCapSrc);
extern int GptSta(ADI_TIMER_TypeDef *pTMR);
extern int GptClrInt(ADI_TIMER_TypeDef *pTMR, int iSource);
extern int GptBsy(ADI_TIMER_TypeDef *pTMR);


#define T0CON_EVENT_WUT     (0x0   << 8 )
#define T0CON_EVENT_EXT0    (0x1   << 8 )
#define T0CON_EVENT_EXT1    (0x2   << 8 )
#define T0CON_EVENT_EXT2    (0x3   << 8 )
#define T0CON_EVENT_EXT3    (0x4   << 8 )
#define T0CON_EVENT_EXT4    (0x5   << 8 )
#define T0CON_EVENT_EXT5    (0x6   << 8 )
#define T0CON_EVENT_EXT6    (0x7   << 8 )
#define T0CON_EVENT_EXT7    (0x8   << 8 )
#define T0CON_EVENT_EXT8    (0x9   << 8 )
#define T0CON_EVENT_T3      (0xA   << 8 )

#define T0CON_EVENT_LV0     (0xD   << 8 )

#define T0CON_EVENT_T1      (0xF   << 8 )


#define T1CON_EVENT_EXT4    (0x0   << 8 )
#define T1CON_EVENT_EXT5    (0x1   << 8 )
#define T1CON_EVENT_EXT6    (0x2   << 8 )
#define T1CON_EVENT_FLASH   (0x3   << 8 )
#define T1CON_EVENT_UART    (0x4   << 8 )
#define T1CON_EVENT_SPI0    (0x5   << 8 )
#define T1CON_EVENT_PLA0    (0x6   << 8 )
#define T1CON_EVENT_PLA1    (0x7   << 8 )
#define T1CON_EVENT_DMAERR  (0x8   << 8 )
#define T1CON_EVENT_DMADONE (0x9   << 8 )

#define T1CON_EVENT_I2C1S   (0xD   << 8 )
#define T1CON_EVENT_I2C1M   (0xE   << 8 )
#define T1CON_EVENT_T2      (0xF   << 8 )


#define T2CON_EVENT_EXT7    (0x0   << 8 )
#define T2CON_EVENT_EXT8    (0x1   << 8 )
#define T2CON_EVENT_SPI1    (0x2   << 8 )
#define T2CON_EVENT_I2C0S   (0x3   << 8 )
#define T2CON_EVENT_I2C0M   (0x4   << 8 )
#define T2CON_EVENT_PLA2    (0x5   << 8 )
#define T2CON_EVENT_PLA3    (0x6   << 8 )
#define T2CON_EVENT_PWMT    (0x7   << 8 )
#define T2CON_EVENT_PWM0    (0x8   << 8 )
#define T2CON_EVENT_PWM1    (0x9   << 8 )
#define T2CON_EVENT_PWM2    (0xA   << 8 )
#define T2CON_EVENT_PWM3    (0xB   << 8 )
#define T2CON_EVENT_LV1     (0xC   << 8 )
#define T2CON_EVENT_EXT0    (0xD   << 8 )
#define T2CON_EVENT_EXT1    (0xE   << 8 )
#define T2CON_EVENT_T1      (0xF   << 8 )

#ifdef __cplusplus
}
#endif 
