/**
 *****************************************************************************
   @file     WutLib.h
   @brief    Set of wake up Timer peripheral functions.
   
   @internal   001 @endinternal
   @version  V1.0
   @author   ADI
   @par Revision History:
   - V0.1, April 2013: initial version. 
   - V1.0, April 2015: Changed library format

All files provided by ADI, including this file, are
provided  as is without warranty of any kind, either expressed or implied.
The user assumes any and all risk from the use of this code.
It is the responsibility of the person integrating this code into an application
to ensure that the resulting application performs as required and is safe.

**/

#ifdef __cplusplus
extern "C" {
#endif 

#include "DeviceHeader.h"

extern int WutCfg(int iMode, int iWake, int iPre, int iClkSrc);
extern int WutLdWr(int iField, unsigned long lTld);
extern unsigned long WutLdRd(int iField);
extern int WutInc(int iInc);
extern int WutClrInt(int iSource);
extern int WutCfgInt(int iSource, int iEnable);
extern long WutVal(void);
extern int WutSta(void);
extern int WutGo(int iEnable);

#ifdef __cplusplus
}
#endif 
