/*
THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES INC. ``AS IS'' AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT, ARE
DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES INC. BE LIABLE FOR ANY DIRECT,
INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
POSSIBILITY OF SUCH DAMAGE.

IT IS THE RESPONSIBILITY OF THE PERSON INTEGRATING THIS CODE INTO AN APPLICATION
TO ENSURE THAT THE RESULTING PRODUCT PERFORMS AS REQUIRED AND IS SAFE.

YOU ASSUME ANY AND ALL RISK FROM THE USE OF THIS CODE OR SUPPORT FILE.

    Module       : Crc.c
    Description  : Calcualte CRC and compare to FEESIG.
    Date         : 2014/09/04
    Version      : v1.00
    Changelog    : v1.00 Initial
		
*/
#include <DeviceHeader.h>
#include <FeeLib.h>

int main(void)
	{
	static int	    i1;
                                                          
	pADI_WDT->T3CON = 0xc9;         //Disable watchdog.
   for(i1=0; i1<1000000; i1++)    pADI_GP0->GPTGL = 0x04;
	pADI_GP0->GPOE = 0x07;
   
   FeeSign(0x00800,0x00900);       //SIGN for page1.
   if(FeeCrc(511,(int *)0x00800) != pADI_FEE->FEESIG)
      {
      while(1) 
         {
         pADI_GP0->GPSET = 0x01;    //Error. Pulse P0.0.
         pADI_GP0->GPCLR = 0x01;
         pADI_GP0->GPSET = 0x01;
         pADI_GP0->GPCLR = 0x01;
         }
      }
   else
      {
      while(1) 
         {
         pADI_GP0->GPSET = 0x02;    //Pass. Pulse P0.1.
         pADI_GP0->GPCLR = 0x02;
         }
      }
	}

 
         
