/**
 *****************************************************************************
   @example  Flash.c
   @brief    Demonstrate the use of the flash functions.
             
   @version  V0.2
   @author   ADI
   @date     December 2015 
	 @par Revision History:
   - V0.1, April 2013: initial version.
	 - V0.2, December 2015: Changed ADuCM3xx.h to DeviceHeader.h

              
All files for the device provided by ADI, including this file, are
provided  as is without warranty of any kind, either expressed or implied.
The user assumes any and all risk from the use of this code.
It is the responsibility of the person integrating this code into an application
to ensure that the resulting application performs as required and is safe.

**/
#include <stdio.h>
#include <DeviceHeader.h>
#include <FeeLib.h>


int DioPulse(ADI_GPIO_TypeDef *pGP,int iBit,int iCnt);

int main(void)
	{
	int	    i1;
    int     iFeeSig;

	pADI_WDT->T3CON = 0xc9;         //Disable watchdog.
	pADI_GP0->GPOE = 0x07;
    for(i1=0; i1<2000000; i1++)    DioPulse(pADI_GP0,2,1);
	DioPulse(pADI_GP0,2,1);
	DioPulse(pADI_GP0,2,1);


    FeeSign(0x22000, 0x22000);
    while(FeeSta()&1)   DioPulse(pADI_GP0,2,4);
    iFeeSig = FeeSig();
    FeePErs(0x22000);
    while(FeeSta()&1)   DioPulse(pADI_GP0,2,3);
    for(i1=0x22000; i1<0x22100; i1+=8)
        {
        FeeWr(i1, i1+0x55aabb00000000);
        while(FeeSta()&1)   DioPulse(pADI_GP0,2,2);
        }
    DioPulse(pADI_GP0,2,iFeeSig);   

	while(1)
		{
        DioPulse(pADI_GP0,2,5);
		}
	}

/*Pulse port pGP bit iBit iCnt times.  */
int DioPulse(ADI_GPIO_TypeDef *pGP, int iBit, int iCnt)
    {
    int i1;

    for(i1=0; i1<iCnt; i1++)
        {
        if(pGP==pADI_GP1)   pADI_GPIO_FIX->GP1SET = 1<<iBit;
        else    pGP->GPSET = 1<<iBit;
        if(pGP==pADI_GP2)   pADI_GPIO_FIX->GP2CLR = 1<<iBit;
        else    pGP->GPCLR = 1<<iBit;
        }
    return 1;
    }
