/**
 *****************************************************************************  
   @file       IDacLib.h
   @brief      Set of IDAC peripheral functions.

   @internal   001 @endinternal
   @version    V1.0
	@author     ADI
	@date       April 2015
   @par Revision History:
   - V1.0, April 2015: Full release

All files provided by ADI, including this file, are
provided  as is without warranty of any kind, either expressed or implied.
The user assumes any and all risk from the use of this code.
It is the responsibility of the person integrating this code into an application
to ensure that the resulting application performs as required and is safe.

**/
#ifdef __cplusplus
extern "C" {
#endif 

#include "DeviceHeader.h"

extern int IDacCfg(ADI_IDAC_TypeDef *pPort, int iBwidth, int iIsink, int iEn);
extern int IDacWr(ADI_IDAC_TypeDef *pPort, int iData, int iSync);
extern int IDacPwrDwn(ADI_IDAC_TypeDef *pPort, int iCfg);

#define IDAC0 0x01
#define IDAC1 0x02
#define IDAC2 0x04
#define IDAC3 0x08
#define IDAC4 0x10
#define IDAC5 0x20
#define IDAC6 0x60

#define BW262Khz 0x00
#define BW2_8Khz (0x05<<2)
#define BW1_4Khz (0x06<<2)
#define BW715Hz (0x07<<2)
#define BW357Hz (0x08<<2)
#define BW153Hz (0x09<<2)

#ifdef __cplusplus
}
#endif 
