/**
 *****************************************************************************
   @file     PwmLib.h
   @brief    Set of PWM peripheral functions.
   
   @internal   001 @endinternal
   @version  V1.0
   @author   ADI
   @date     April 2015
   @par Revision History:
   - V0.1, March 2013: initial version. 
   - V1.0, April 2015: Changed library format

All files provided by ADI, including this file, are
provided  as is without warranty of any kind, either expressed or implied.
The user assumes any and all risk from the use of this code.
It is the responsibility of the person integrating this code into an application
to ensure that the resulting application performs as required and is safe.

*****************************************************************************/
#ifdef __cplusplus
extern "C" {
#endif 

#include "DeviceHeader.h"

extern int PwmInit(unsigned int iPWMCP, unsigned int iPWMIEN, unsigned int iSYNC, unsigned int iTRIP);
extern int PwmClrInt(unsigned int iSource);
extern int PwmTime(int iPair, unsigned int uiFreq, unsigned int uiPWMH_High, unsigned int uiPWML_High); 
extern int PwmGo(unsigned int iPWMEN, unsigned int iHMODE);
extern int PwmHBCfg(unsigned int iENA, unsigned int iPOINV, unsigned int iHOFF, unsigned int iDIR);
extern int PwmInvert(int iInv1,int iInv3,int iInv5,int iInv7);
extern int PwmLoad(int iLoad);

#define	HCLK_2 0
#define	HCLK_4 0x40
#define	HCLK_8 0x80
#define	HCLK_16 0xC0
#define	HCLK_32 0x100
#define	HCLK_64 0x140
#define	HCLK_128 0x180
#define	HCLK_256 0x1C0

#define	PWM0_1 0
#define	PWM2_3 1
#define	PWM4_5 2
#define	PWM6_7 3

#ifdef __cplusplus
}
#endif 
