/**
 *****************************************************************************
   @example  CMP.c
   @brief   This example code demonstrates use of the analog comparator.
            Connect variable voltage to AIN6 as positive input.
            Connect 1.2V to AIN5 as negative input.
            Interupt will occur when positive input passes 1.2V.
             
   @version  V0.2
   @author   ADI
   @date     December 2015
	 @par Revision History:
   - V0.1, June 2013: initial version.
	 - V0.2, December 2015: Changed ADuCM3xx.h to DeviceHeader.h
	 

All files are provided by ADI, including this file, are
provided  as is without warranty of any kind, either expressed or implied.
The user assumes any and all risk from the use of this code.
It is the responsibility of the person integrating this code into an application
to ensure that the resulting application performs as required and is safe.

**/


#include "DeviceHeader.h"
#include "CmpLib.h"
#include "DioLib.h"

int main(void)
	{
	int	    i1;
    pADI_WDT->T3CON = 0;										//Disable watchdog timer
    DioOenPin(pADI_GP2,PIN0,1);							// Pin  2.0 configured as an output
    DioTgl(pADI_GP2,1);
    DioTgl(pADI_GP2,1);
    DioOenPin(pADI_GP2,PIN0,0);
    pADI_LV_INT->INTSEL = 0x0800;           //Enable comparator on LV int pin0
    NVIC_EnableIRQ(LVD0_IRQn);              //Enable LV int pin0 to NVIC.			
    CmpCfg(AFECOMP_INNEG_AIN5,AFECOMP_SPEED_SPEED1,AFECOMP_HYS_EN);
    CmpOn(AFECOMP_EN_EN,AFECOMP_INV_NO);    //Enable comparator.
    for(i1=0; i1<100; i1++)
        {
        i1 = 1;
        }
    }
    
void LV0_Int_Handler()
    {
    int i1 = 0;
    i1= pADI_LV_INT->INTSTA;
    pADI_LV_INT->INTCLR = 0x8;
    }

