/**
 *****************************************************************************
   @file       MdLib.h
   @brief      Set of MDIO peripheral functions.
   
   @internal   001 @endinternal
   @version    V1.0
   @author     ADI
   @date			December 2015
   @par Revision History:
   - V0.0, November 2011: initial version.
   - V0.1, July 2014: added MdInit().
   - V1.0, December 2015: Changed library format


All files provided by ADI, including this file, are
provided as is without warranty of any kind, either expressed or implied.
The user assumes any and all risk from the use of this code.
It is the responsibility of the person integrating this code into an application
to ensure that the resulting application performs as required and is safe.

**/
#ifdef __cplusplus
extern "C" {
#endif 

#include "DeviceHeader.h"

int MdInit(int iPhySz, int iRst, int iDrvPp);
int MdOn(int iOn, int iRst, int iDrvPp);
int MdCfg(int iPhyAdr, int iPASel, int iDevAdd);
int MdRxd(void);
int MdTxd(int iTxDat);
int MdAdr(void);
int MdPin(void);
int MdSta(void);
int MdRdI(void);
int MdIen(int iMdIEn);
int MdFrm(void);


#define MDCON_MD_DIS_BBA               (*(volatile unsigned long *) 0x420B8004)

#ifdef __cplusplus
}
#endif 
