/**
 *****************************************************************************
   @file     WdtLib.h
   @brief    Set of watchdog Timer peripheral functions.
   
   @internal   001 @endinternal
   @version  V1.0
   @author   ADI
   @date     April 2015 
   @par Revision History:
   - V0.1, March 2013: initial version. 
   - V1.0, April 2015: Changed library format


All files provided by ADI, including this file, are
provided as is without warranty of any kind, either expressed or implied.
The user assumes any and all risk from the use of this code.
It is the responsibility of the person integrating this code into an application
to ensure that the resulting application performs as required and is safe.

**/

#ifdef __cplusplus
extern "C" {
#endif 

#include "DeviceHeader.h"

extern int WdtLd(int iTld);
extern int WdtVal(void);
extern int WdtCfg(int iMod, int iPre, int iInt, int iPd);
extern int WdtGo(int iEnable);
extern int WdtClrInt(void);
extern int WdtSta(void);

#ifdef __cplusplus
}
#endif 

