;
;THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES INC. ``AS IS'' AND ANY EXPRESS OR
;IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
;MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT, ARE
;DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES INC. BE LIABLE FOR ANY DIRECT,
;INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
;ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
;POSSIBILITY OF SUCH DAMAGE.

;IT IS THE RESPONSIBILITY OF THE PERSON INTEGRATING THIS CODE INTO AN APPLICATION
;TO ENSURE THAT THE RESULTING PRODUCT PERFORMS AS REQUIRED AND IS SAFE.

;YOU ASSUME ANY AND ALL RISK FROM THE USE OF THIS CODE OR SUPPORT FILE.

;    Module       : RamCache.s
;    Description  :
;    Date         : 2014/07/11
;    Version      : v1.00
;    Changelog    : v1.00 Initial

    AREA asm_func, CODE, READONLY

    EXPORT RamSpd

GP0CON_A		EQU	0x40020040		;GP base address.
GP1OE_A			EQU	0x40020044		;GP1 output enable.
GP1TGL_A		EQU	0x40020060		;GP1 toggle.

;Toggles P1.6 to measure execution speed.
RamSpd
        ldr.n   r3  , =GP0CON_A
        movs.n  r1  , #0x40                     ;Make P1.6 output.
        str.n   r1  , [r3,#GP1OE_A-GP0CON_A]
        str.n   r1  , [r3,#GP1TGL_A-GP0CON_A]   ;Pulse P1.6.
        str.n   r1  , [r3,#GP1TGL_A-GP0CON_A]
		add.w 	r0	, r1,#0x3c	                ;Waste time.
		add.w 	r0	, r0,#0x3c	                ;Waste time.
		add.w 	r0	, r0,#0x3c	                ;Waste time.
		add.w 	r0	, r0,#0x3c	                ;Waste time.
		add.w 	r0	, r0,#0x3c	                ;Waste time.
		add.w 	r0	, r0,#0x3c	                ;Waste time.
		add.w 	r0	, r0,#0x3c	                ;Waste time.
		add.w 	r0	, r0,#0x3c	                ;Waste time.
		add.w 	r0	, r0,#0x3c	                ;Waste time.
		add.w 	r0	, r0,#0x3c	                ;Waste time.
        str.n   r1  , [r3,#GP1TGL_A-GP0CON_A]   ;Pulse P1.6.
        str.n   r1  , [r3,#GP1TGL_A-GP0CON_A]
        str.n   r1  , [r3,#GP1TGL_A-GP0CON_A]   ;Pulse P1.6.
        str.n   r1  , [r3,#GP1TGL_A-GP0CON_A]
		bx.n    lr

    END
